Commits

radim  committed 2b22855

Prepare for next release 0.4

  • Participants
  • Parent commits 6c034a4
  • Tags v0.4

Comments (0)

Files changed (10)

File androidprefs/manifest.mf

 Manifest-Version: 1.0
 OpenIDE-Module: org.netbeans.modules.android.androidprefs
 OpenIDE-Module-Localizing-Bundle: org/netbeans/modules/android/androidprefs/Bundle.properties
-OpenIDE-Module-Specification-Version: 0.3
+OpenIDE-Module-Specification-Version: 0.4
 AutoUpdate-Show-In-Client: false

File examples/manifest.mf

 Manifest-Version: 1.0
 OpenIDE-Module: org.netbeans.modules.android.examples
 OpenIDE-Module-Localizing-Bundle: org/netbeans/modules/android/examples/Bundle.properties
-OpenIDE-Module-Specification-Version: 0.2
+OpenIDE-Module-Specification-Version: 0.4
 OpenIDE-Module-Layer: org/netbeans/modules/android/examples/resources/mf-layer.xml
 AutoUpdate-Show-In-Client: false
 

File grammars/manifest.mf

 OpenIDE-Module: org.netbeans.modules.android.grammars
 OpenIDE-Module-Layer: org/netbeans/modules/android/grammars/layer.xml
 OpenIDE-Module-Localizing-Bundle: org/netbeans/modules/android/grammars/Bundle.properties
-OpenIDE-Module-Specification-Version: 0.3
+OpenIDE-Module-Specification-Version: 0.4
 AutoUpdate-Show-In-Client: false
 

File kit/manifest.mf

 Manifest-Version: 1.0
 OpenIDE-Module: org.netbeans.modules.android.kit
 OpenIDE-Module-Localizing-Bundle: org/netbeans/modules/android/kit/Bundle.properties
-OpenIDE-Module-Specification-Version: 0.3
+OpenIDE-Module-Specification-Version: 0.4
 

File kit/nbproject/project.xml

                     <build-prerequisite/>
                     <compile-dependency/>
                     <run-dependency>
-                        <specification-version>0.3</specification-version>
+                        <specification-version>0.4</specification-version>
                     </run-dependency>
                 </dependency>
                 <dependency>
                     <code-name-base>org.netbeans.modules.android.grammars</code-name-base>
                     <run-dependency>
-                        <specification-version>0.3</specification-version>
+                        <specification-version>0.4</specification-version>
                     </run-dependency>
                 </dependency>
                 <dependency>
                     <code-name-base>org.netbeans.modules.android.platform</code-name-base>
                     <run-dependency>
-                        <specification-version>0.3</specification-version>
+                        <specification-version>0.4</specification-version>
                     </run-dependency>
                 </dependency>
                 <dependency>
                     <code-name-base>org.netbeans.modules.android.project</code-name-base>
                     <run-dependency>
-                        <specification-version>0.3</specification-version>
+                        <specification-version>0.4</specification-version>
                     </run-dependency>
                 </dependency>
                 <dependency>
                     <build-prerequisite/>
                     <compile-dependency/>
                     <run-dependency>
-                        <specification-version>0.3</specification-version>
+                        <specification-version>0.4</specification-version>
                     </run-dependency>
                 </dependency>
                 <dependency>
                     <code-name-base>org.netbeans.modules.android.xml</code-name-base>
                     <run-dependency>
-                        <specification-version>0.3</specification-version>
+                        <specification-version>0.4</specification-version>
                     </run-dependency>
                 </dependency>
             </module-dependencies>

File platform/manifest.mf

 OpenIDE-Module: org.netbeans.modules.android.platform
 OpenIDE-Module-Layer: org/netbeans/modules/android/platform/layer.xml
 OpenIDE-Module-Localizing-Bundle: org/netbeans/modules/android/platform/Bundle.properties
-OpenIDE-Module-Specification-Version: 0.3.1
+OpenIDE-Module-Specification-Version: 0.4
 

File project/manifest.mf

 OpenIDE-Module-Layer: org/netbeans/modules/android/project/ui/resources/layer.xml
 OpenIDE-Module-Localizing-Bundle: org/netbeans/modules/android/project/Bundle.properties
 AutoUpdate-Show-In-Client: false
-OpenIDE-Module-Specification-Version: 0.3.1
+OpenIDE-Module-Specification-Version: 0.4
 

File sdklib/manifest.mf

 Manifest-Version: 1.0
 OpenIDE-Module: org.netbeans.modules.android.sdklib
 OpenIDE-Module-Localizing-Bundle: org/netbeans/modules/android/sdklib/Bundle.properties
-OpenIDE-Module-Specification-Version: 0.3
+OpenIDE-Module-Specification-Version: 0.4
 AutoUpdate-Show-In-Client: false

File suite/release-prep.sh

+#!/bin/bash
+
+# run this in project root directory to increase specification version of all modules
+# and update dependencies in kit
+
+if [ ! -d .hg ] ; then 
+  echo "wrong directory" >/dev/stderr
+  exit 1
+fi
+
+if [ -z "$1" ] ; then 
+  echo "Usage: $0 newversion" >/dev/stderr
+  exit 2
+fi
+version=$1
+
+for file in */manifest.mf
+do
+  sed --in-place -e "s/OpenIDE-Module-Specification-Version: [0-9.]*/OpenIDE-Module-Specification-Version: ${version}/g" ${file}
+done
+
+sed --in-place -e "s:<specification-version>[0-9.]*</specification-version>:<specification-version>${version}</specification-version>:g" kit/nbproject/project.xml
+

File xml/manifest.mf

 OpenIDE-Module: org.netbeans.modules.android.xml
 OpenIDE-Module-Layer: org/netbeans/modules/android/xml/resources/layer.xml
 OpenIDE-Module-Localizing-Bundle: org/netbeans/modules/android/xml/resources/Bundle.properties
-OpenIDE-Module-Specification-Version: 0.3
+OpenIDE-Module-Specification-Version: 0.4